# Gimp.strip_uline

    function strip_uline(str: String): String {
        // Gjs wrapper for gimp_strip_uline()
    }

This function returns a copy of str stripped of underline characters. This comes in handy when needing to strip mnemonics from menu paths etc.

In some languages, mnemonics are handled by adding the mnemonic character in brackets (like "File (_F)"). This function recognizes this construct and removes the whole bracket construction to get rid of the mnemonic (see bug 157561).

str

  underline infested string (or null)

Returns

  A (possibly stripped) copy of str which should be freed using g_free() when it is not needed any longer.